[arch-commits] Commit in luxrays/repos/community-x86_64 (4 files)
Lukas Jirkovsky
stativ at archlinux.org
Sun May 29 13:16:26 UTC 2016
Date: Sunday, May 29, 2016 @ 15:16:26
Author: stativ
Revision: 177422
archrelease: copy trunk to community-x86_64
Added:
luxrays/repos/community-x86_64/PKGBUILD
(from rev 177421, luxrays/trunk/PKGBUILD)
luxrays/repos/community-x86_64/force_python3.diff
(from rev 177421, luxrays/trunk/force_python3.diff)
Deleted:
luxrays/repos/community-x86_64/PKGBUILD
luxrays/repos/community-x86_64/force_python3.diff
--------------------+
PKGBUILD | 113 ++++++++++++++++++++++++++-------------------------
force_python3.diff | 24 +++++-----
2 files changed, 71 insertions(+), 66 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2016-05-29 13:16:13 UTC (rev 177421)
+++ PKGBUILD 2016-05-29 13:16:26 UTC (rev 177422)
@@ -1,54 +0,0 @@
-# $Id$
-# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
-pkgname='luxrays'
-pkgver=1.5.1
-_pkgver=8577ff287efb
-pkgrel=2
-pkgdesc="Accelerate the ray intersection process by using GPUs"
-arch=('x86_64')
-url="http://www.luxrender.net/"
-license=('GPL')
-depends=('embree' 'libcl' 'libgl' 'openimageio')
-makedepends=('boost' 'cmake' 'freetype2' 'libpng' 'mesa' 'opencl-headers' 'glew' 'freeglut')
-optdepends=('opencl-nvidia: OpenCL support for nVidia GPUs' \
- 'amdapp-sdk: OpenCL support for AMD GPUs' \
- 'intel-opencl-runtime: OpenCL support for Intel CPUs' \
- 'glew: demos (SmallLuxGPU etc.)' \
- 'freeglut: demos (SmallLuxGPU etc.)' \
- 'boost-libs: demos (SmallLuxGPU etc.)')
-options=('staticlibs')
-source=($pkgname-$pkgver.tar.bz2::https://bitbucket.org/luxrender/luxrays/get/${_pkgver}.tar.bz2 \
- force_python3.diff)
-md5sums=('2d6619e33fb4df237ba239b944e00e68'
- '3bfb5594a709d1ea772866d66904b8fd')
-
-prepare() {
- cd "$srcdir"/luxrender-luxrays-$_pkgver
-
- patch -Np1 < "$srcdir/force_python3.diff" || true
-}
-
-build() {
- cd "$srcdir/luxrender-luxrays-$_pkgver"
-
- cmake . \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DCMAKE_SKIP_RPATH=ON \
- -DLUXRAYS_DISABLE_OPENCL=OFF
- make
-}
-
-package() {
- cd "$srcdir/luxrender-luxrays-$_pkgver"
-
- install -d -m755 "$pkgdir"/usr/{bin,include,lib}
- install -m755 bin/* "$pkgdir"/usr/bin
- install -m644 lib/* "$pkgdir"/usr/lib
- cp -a include "$pkgdir"/usr
-
- # install pyluxcore to the Python search path
- install -d -m755 "$pkgdir"/usr/lib/python3.5/
- mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.5/
-}
-
-# vim:set ts=2 sw=2 et:
Copied: luxrays/repos/community-x86_64/PKGBUILD (from rev 177421, luxrays/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2016-05-29 13:16:26 UTC (rev 177422)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+pkgname='luxrays'
+pkgver=1.6
+_pkgver=61352e6aae3f
+pkgrel=1
+pkgdesc="Accelerate the ray intersection process by using GPUs"
+arch=('x86_64')
+url="http://www.luxrender.net/"
+license=('GPL')
+depends=('embree' 'libcl' 'libgl' 'openimageio')
+makedepends=('boost' 'cmake' 'freetype2' 'gtk3' 'libpng' 'mesa' 'opencl-headers' 'glew' 'freeglut')
+optdepends=('opencl-nvidia: OpenCL support for nVidia GPUs' \
+ 'amdapp-sdk: OpenCL support for AMD GPUs' \
+ 'intel-opencl-runtime: OpenCL support for Intel CPUs' \
+ 'glew: demos (SmallLuxGPU etc.)' \
+ 'gtk3: luxcoreui'
+ 'freeglut: demos (SmallLuxGPU etc.)' \
+ 'boost-libs: demos (SmallLuxGPU etc.)')
+options=('staticlibs')
+source=($pkgname-$pkgver.tar.bz2::https://bitbucket.org/luxrender/luxrays/get/luxrender_v$pkgver.tar.bz2 \
+ force_python3.diff)
+md5sums=('4c8df34d90dc04b50a180b945041cd92'
+ '36c9823246c2b575415c1709e065727c')
+
+prepare() {
+ cd "$srcdir"/luxrender-luxrays-$_pkgver
+
+ # force python3 for boost
+ patch -Np1 < "$srcdir/force_python3.diff" || true
+}
+
+build() {
+ cd "$srcdir/luxrender-luxrays-$_pkgver"
+
+ cmake . \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_SKIP_RPATH=ON \
+ -DLUXRAYS_DISABLE_OPENCL=OFF
+ # this sucks, but luxrays doesn't seem to honor CMAKE_*_LINKER_FLAGS
+ # thanks bartus from AUR for the fix
+ for file in `grep lboost_python -l -R ` ;do sed -i 's/$/ -lpython3/' $file ; done
+ make
+}
+
+package() {
+ cd "$srcdir/luxrender-luxrays-$_pkgver"
+
+ install -d -m755 "$pkgdir"/usr/{bin,include,lib}
+ install -m755 bin/* "$pkgdir"/usr/bin
+ install -m644 lib/* "$pkgdir"/usr/lib
+ cp -a include "$pkgdir"/usr
+
+ # install pyluxcore to the Python search path
+ install -d -m755 "$pkgdir"/usr/lib/python3.5/
+ mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.5/
+}
+
+# vim:set ts=2 sw=2 et:
Deleted: force_python3.diff
===================================================================
--- force_python3.diff 2016-05-29 13:16:13 UTC (rev 177421)
+++ force_python3.diff 2016-05-29 13:16:26 UTC (rev 177422)
@@ -1,12 +0,0 @@
-diff -rup luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake
---- luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake 2015-01-20 23:45:32.000000000 +0100
-+++ luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake 2015-02-15 22:19:40.775351414 +0100
-@@ -58,7 +58,7 @@ set(Boost_MINIMUM_VERSION "1.44.0"
-
- set(Boost_ADDITIONAL_VERSIONS "1.47.0" "1.46.1" "1.46" "1.46.0" "1.45" "1.45.0" "1.44" "1.44.0")
-
--set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python)
-+set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python3)
- find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS ${LUXRAYS_BOOST_COMPONENTS})
- if (NOT Boost_FOUND)
- # Try again with the other type of libs
Copied: luxrays/repos/community-x86_64/force_python3.diff (from rev 177421, luxrays/trunk/force_python3.diff)
===================================================================
--- force_python3.diff (rev 0)
+++ force_python3.diff 2016-05-29 13:16:26 UTC (rev 177422)
@@ -0,0 +1,12 @@
+diff -rup luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake
+--- luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake 2016-05-09 22:17:57.000000000 +0200
++++ luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake 2016-05-29 09:04:30.913648230 +0200
+@@ -58,7 +58,7 @@ set(Boost_MINIMUM_VERSION "1.44.0"
+
+ set(Boost_ADDITIONAL_VERSIONS "1.47.0" "1.46.1" "1.46" "1.46.0" "1.45" "1.45.0" "1.44" "1.44.0")
+
+-set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python chrono)
++set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python3 chrono)
+ find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS ${LUXRAYS_BOOST_COMPONENTS})
+ if (NOT Boost_FOUND)
+ # Try again with the other type of libs
More information about the arch-commits
mailing list